## org.eclipse.datatools.modelbase.sql.query.impl
Class TableInDatabaseImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.TableInDatabaseImpl

All Implemented Interfaces:
  SQLQueryObject, TableExpression, TableInDatabase, TableReference, SQLObject

    public class TableInDatabaseImpl

extends TableExpressionImpl
implements TableInDatabase

An implementation of the model object 'SQLRDB Table'.

The following features are implemented:

- `Update Statement`
- `Delete Statement`
- `Insert Statement`
- `Database Table`
- `Derived Column List`

Method Summary
`Table` `basicGetDatabaseTable()`
`NotificationChain` `basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement, NotificationChain msgs)`
`NotificationChain` `basicSetInsertStatement(QueryInsertStatement newInsertStatement, NotificationChain msgs)`
`NotificationChain` `basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`Table` `getDatabaseTable()`
`QueryDeleteStatement` `getDeleteStatement()`
`EList` `getDerivedColumnList()`
`QueryInsertStatement` `getInsertStatement()`
`QueryUpdateStatement` `getUpdateStatement()`
`void` `setDatabaseTable(Table newDatabaseTable)`
`void` `setDeleteStatement(QueryDeleteStatement newDeleteStatement)`
`void` `setInsertStatement(QueryInsertStatement newInsertStatement)`
`void` `setUpdateStatement(QueryUpdateStatement newUpdateStatement)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

  Specified by:
    `getUpdateStatement` in interface `TableInDatabase`
  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `TableInDatabase.setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getTableInDatabase_UpdateStatement()`, `QueryUpdateStatement.getTargetTable()`

### basicSetUpdateStatement

    public NotificationChain basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement,
                                                     NotificationChain msgs)

### setUpdateStatement

    public void setUpdateStatement(QueryUpdateStatement newUpdateStatement)

  Specified by:
    `setUpdateStatement` in interface `TableInDatabase`
  Parameters:
    `newUpdateStatement` - the new value of the 'Update Statement' container reference.
  See Also:
    `TableInDatabase.getUpdateStatement()`

### getDeleteStatement

    public QueryDeleteStatement getDeleteStatement()

  Specified by:
    `getDeleteStatement` in interface `TableInDatabase`
  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `TableInDatabase.setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getTableInDatabase_DeleteStatement()`, `QueryDeleteStatement.getTargetTable()`

### basicSetDeleteStatement

    public NotificationChain basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement,
                                                     NotificationChain msgs)

### setDeleteStatement

    public void setDeleteStatement(QueryDeleteStatement newDeleteStatement)

  Specified by:
    `setDeleteStatement` in interface `TableInDatabase`
  Parameters:
    `newDeleteStatement` - the new value of the 'Delete Statement' container reference.
  See Also:
    `TableInDatabase.getDeleteStatement()`

### getInsertStatement

    public QueryInsertStatement getInsertStatement()

  Specified by:
    `getInsertStatement` in interface `TableInDatabase`
  Returns:
    the value of the 'Insert Statement' container reference.
  See Also:
    `TableInDatabase.setInsertStatement(QueryInsertStatement)`, `SQLQueryModelPackage.getTableInDatabase_InsertStatement()`, `QueryInsertStatement.getTargetTable()`

### basicSetInsertStatement

    public NotificationChain basicSetInsertStatement(QueryInsertStatement newInsertStatement,
                                                     NotificationChain msgs)

### setInsertStatement

    public void setInsertStatement(QueryInsertStatement newInsertStatement)

  Specified by:
    `setInsertStatement` in interface `TableInDatabase`
  Parameters:
    `newInsertStatement` - the new value of the 'Insert Statement' container reference.
  See Also:
    `TableInDatabase.getInsertStatement()`

### getDatabaseTable

    public Table getDatabaseTable()

  Specified by:
    `getDatabaseTable` in interface `TableInDatabase`
  Returns:
    the value of the 'Database Table' reference.
  See Also:
    `TableInDatabase.setDatabaseTable(Table)`, `SQLQueryModelPackage.getTableInDatabase_DatabaseTable()`

### basicGetDatabaseTable

    public Table basicGetDatabaseTable()

### setDatabaseTable

    public void setDatabaseTable(Table newDatabaseTable)

  Specified by:
    `setDatabaseTable` in interface `TableInDatabase`
  Parameters:
    `newDatabaseTable` - the new value of the 'Database Table' reference.
  See Also:
    `TableInDatabase.getDatabaseTable()`

### getDerivedColumnList

    public EList getDerivedColumnList()

  Specified by:
    `getDerivedColumnList` in interface `TableInDatabase`
  Returns:
    the value of the 'Derived Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getTableInDatabase_DerivedColumnList()`, `ValueExpressionColumn.getTableInDatabase()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableExpressionImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `TableReferenceImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableExpressionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableExpressionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.